package cases

import (
	"spaceofcheng/services/models"
	"spaceofcheng/services/models/model"
	"strconv"
)

// GetKeysByCase 根据案场获取钥匙信息
func (m *CaseDAO) GetKeysByCase(caseid string, page, pageSize int) ([]model.TaCaseKey, error) {
	var keys []model.TaCaseKey
	err := m.db.Where("case_id=?", caseid).And("status>" + strconv.Itoa(models.STATUS_DEL)).Find(&keys)
	return keys, err
}

// GetCurrentKey 获取当前钥匙的占用人员
